/******************************************************************************
*******************************************************************************
*******************************************************************************
							Article Coding Project
							1980-2008
							Complexity Over Time
							Figure OA2
*******************************************************************************
*******************************************************************************
*******************************************************************************
******************************************************************************/

/****Calling and Cleaning the Data*****/

clear
cd "C:\Users\Joshua\Dropbox\Work\ANES Coding Project\Data and Do Files"
do "1980-2008 Initial Cleaning.do"

/******creating the complexity items*****/


egen concepts = rowtotal(Q3_*) 
	label var concepts "Concepts"
	
egen issues = rowtotal(Q7_1_1 Q7_1_2 Q7_1_3 Q7_2_1 Q7_2_2 ///
	Q7_2_3 Q7_3_1 Q7_3_2 Q7_3_3 Q7_4_1 Q7_4_2 Q7_4_3 Q7_5_1 Q7_5_2 ///
	Q7_5_3 Q7_6_1 Q7_6_2 Q7_6_3 Q7_7_1 Q7_7_2 Q7_7_3 Q7_8_1 Q7_8_2 ///
	Q7_8_3 Q7_9_1 Q7_9_2 Q7_9_3 Q7_10_1 Q7_10_2 Q7_10_3 Q7_11_1 Q7_11_2 Q7_11_3) 
	label var issues "Issues"
	
egen total =  rowtotal(Q3_* Q7_1_1 Q7_1_2 Q7_1_3 Q7_2_1 Q7_2_2 ///
	Q7_2_3 Q7_3_1 Q7_3_2 Q7_3_3 Q7_4_1 Q7_4_2 Q7_4_3 Q7_5_1 Q7_5_2 ///
	Q7_5_3 Q7_6_1 Q7_6_2 Q7_6_3 Q7_7_1 Q7_7_2 Q7_7_3 Q7_8_1 Q7_8_2 ///
	Q7_8_3 Q7_9_1 Q7_9_2 Q7_9_3 Q7_10_1 Q7_10_2 Q7_10_3 Q7_11_1 Q7_11_2 Q7_11_3) 
	label var total "Total" 
	
/***central per article****/

recode Q4_1_x1-Q4_1_x48 (1=1) (2 3 = 0)

egen con_central = rowtotal(Q4_1_x1-Q4_1_x48)

recode Q8_1_x1-Q8_1_x3 Q10_1_x1-Q10_1_x3 Q12_1_x1-Q12_1_x3 ///
		Q14_1_x1-Q14_1_x3 Q16_1_x1-Q16_1_x3 Q18_1_x1-Q18_1_x3 ///
		Q20_1_x1-Q20_1_x3 Q22_1_x1-Q22_1_x3 Q24_1_x1-Q24_1_x3 ///
		Q26_1_x1-Q26_1_x3 Q28_1_x1-Q28_1_x3 (1=1) (2 3 = 0)

egen iss_central = rowtotal(Q8_1_x1-Q8_1_x3 Q10_1_x1-Q10_1_x3 Q12_1_x1-Q12_1_x3 ///
		Q14_1_x1-Q14_1_x3 Q16_1_x1-Q16_1_x3 Q18_1_x1-Q18_1_x3 ///
		Q20_1_x1-Q20_1_x3 Q22_1_x1-Q22_1_x3 Q24_1_x1-Q24_1_x3 ///
		Q26_1_x1-Q26_1_x3 Q28_1_x1-Q28_1_x3)

		
egen tot_central = rowtotal(Q4_1_x1-Q4_1_x48  Q8_1_x1-Q8_1_x3 Q10_1_x1-Q10_1_x3 Q12_1_x1-Q12_1_x3 ///
		Q14_1_x1-Q14_1_x3 Q16_1_x1-Q16_1_x3 Q18_1_x1-Q18_1_x3 ///
		Q20_1_x1-Q20_1_x3 Q22_1_x1-Q22_1_x3 Q24_1_x1-Q24_1_x3 ///
		Q26_1_x1-Q26_1_x3 Q28_1_x1-Q28_1_x3)

		
summ con_central iss_central tot_central
pwcorr 	con_central iss_central


/***collapsing to an easier to work with dataset***/

collapse (mean) concepts issues total, by(year)

label var concepts "Concepts" 
label var issues "Issues"
label var total "Total"

foreach var in concepts issues total {
		lowess `var' year, scheme(s1mono) title("`: var label `var''", size(medlarge)) ///
			note("") ytitle("")
		graph save "`var' over time", replace
		}
	
graph combine "concepts over time" "issues over time" "total over time", scheme(s1mono) ycommon rows(1) 
	
graph save "Figure OA2", replace
graph export "Figure OA2.png", replace	

	
	
	
	
	
