
/******************************************************************************
*******************************************************************************
*******************************************************************************
							Article Coding Project
							1980-2008
							Most Used & Most Central & Data Use
							Table OA2: Issues
							
*******************************************************************************
*******************************************************************************
*******************************************************************************
******************************************************************************/

/***********************************************
************************************************
	Issue Use 
************************************************
***********************************************/


/****Calling and Cleaning the Data*****/

clear
cd "C:\Users\Joshua\Dropbox\Work\ANES Coding Project\Data and Do Files" /**update for your computer**/
do "1980-2008 Initial Cleaning.do"


	
	/***Issues***/
/*topic*/
	/*jobs & sol*/
	rename Q7_1_1 topic49
	rename Q7_1_2 topic50
	rename Q7_1_3 topic51
	/*blacks*/
	rename Q7_2_1 topic52
	rename Q7_2_2 topic53
	rename Q7_2_3 topic54
	/*affirmative action*/
	rename Q7_3_1 topic55
	rename Q7_3_2 topic56
	rename Q7_3_3 topic57
	/*defense spending*/
	rename Q7_4_1 topic58
	rename Q7_4_2 topic59
	rename Q7_4_3 topic60
	/*women*/
	rename Q7_5_1 topic61
	rename Q7_5_2 topic62
	rename Q7_5_3 topic63
	/*abortion*/
	rename Q7_6_1 topic64
	 rename Q7_6_2 topic65
	 rename Q7_6_3 topic66
	/*death penalty*/
	 rename Q7_7_1 topic67
	 rename Q7_7_2 topic68
	 rename Q7_7_3 topic69
	/*gay*/
	 rename Q7_8_1 topic70
	 rename Q7_8_2 topic71
	 rename Q7_8_3 topic72
	/*environment*/
	rename Q7_9_1 topic73
	rename Q7_9_2 topic74
	rename Q7_9_3 topic75
	/*services*/
	rename Q7_10_1 topic76
	rename Q7_10_2 topic77
	rename Q7_10_3 topic78
	/*internationalism*/
	rename Q7_11_1 topic79
	rename Q7_11_2 topic80 
	rename Q7_11_3 topic81



	 
/*Centrality*/ 

/*jobs*/
rename Q8_1_x1 central49
rename Q8_1_x2 central50
rename Q8_1_x3 central51

/*blacks*/
rename Q10_1_x1 central52
rename Q10_1_x2 central53
rename Q10_1_x3 central54
/*affirm action*/
rename Q12_1_x1 central55
rename Q12_1_x2 central56
rename Q12_1_x3 central57
/*defense*/
rename Q14_1_x1 central58
rename Q14_1_x2 central59
rename Q14_1_x3 central60
/*women*/
rename Q16_1_x1 central61
rename Q16_1_x2 central62
rename Q16_1_x3 central63
/*abortion*/
rename Q18_1_x1 central64
 rename Q18_1_x2 central65
 rename Q18_1_x3 central66
 /*death penalty*/
 rename Q20_1_x1 central67
 rename Q20_1_x2 central68
 rename Q20_1_x3 central69
 /*gay & lesbian*/
 rename Q22_1_x1 central70
 rename Q22_1_x2 central71
 rename Q22_1_x3 central72
 /*environment*/
 rename Q24_1_x1 central73
 rename Q24_1_x2 central74
 rename Q24_1_x3 central75
 /*spending*/
 rename Q26_1_x1 central76
 rename Q26_1_x2 central77
 rename Q26_1_x3 central78
 /*internationalism*/
 rename Q28_1_x1 central79
 rename Q28_1_x2 central80 
 rename Q28_1_x3 central81



gen id = _n
	
reshape long topic central, i(id) j(top)
order topic central, after(top)


recode topic (0=.)
recode central (2 3=.) /***3???***/
	/*this makes the 'not central' missing data, which is 
	necessary for the 'count' code below*/

label def present 1 "Present" , replace
label def centr 1 "Central" , replace

label values topic present
label values central centr

tab1 topic central	

	
	
	
/***Topic Codes**/
label def topic_code ///
 1 "Difference btw Parties" 2 "Feel About Parties" 3 "PID" ///
 4 "Party Perf.: Economy" 5 "Party Perf: Foreign Affairs" /// 
 6 "Feelings abt President" 7 "Feelings abt Pres Candidates" ///
 8 "Feelings abt Congressional Candidates" 9 "Emotions abt Pres" 10 "Emotions abt Pres Cand" ///
 11 "Likes/Dislikes abt Pres Candidates" 12 "President's Traits" 13 "Presidential Candidate's Traits" ///
 14 "Approval President Job Performance" 15 "Approval President Performance Economy" ///
 16 "Approval President Performance Foreign Policy" 17 "Approval Congress Job Performance" ///
 18 "Approval of Congressional Rep's Job Performance" ///
 19 "Economic Performance" 20 "Personal Economic Situation" 21 "Position of Country in World Affairs" ///
 22 "Political Interest" 23 "Political Knowledge" 24 "Campaign Activity" ///
 25 "Campaing Contact" 26 "Vote Choice" 27 "Turnout in Nat'l  Elections" 28 "Registration" ///
 29 "Lib/Con Values" 30 "Religious Values/Beliefs" ///
 31 "Religious Identity" 32 "Moral Traditionalism" ///
 33 "Equalitarianism" 34 "Trust in Gov't" 35 "Political Efficacy" ///
 36 "TV News Consumption" 37 "Internet News Consumption" 38 "Newspaper Consumption" ///
 39 "Radio News  Consumption" 40 "Feelings abt Social Groups" ///
 41 "Attitudes abt Blacks" 42 "Stereotypes" 43 "Racial Identity" 44 "Ethnic Identity" ///
 45 "Social Class" 46 "Personality" 47 "Problems facing Country" 48 "Att. abt Divided Gov't" ///
 49 "Jobs: Own Attitude" 50 "Jobs: Candidate" 51 "Jobs: Parties" 52 "Aid Blacks: Own Attitude" 53 "Aid Blacks: Candidate" 54 "Aid Blacks: Parties" ///
 55 "Affirmative Action:Own " 56 "Affirmative Action: Candidates" 57 "Affirmative Action: Parties" ///
 58 "Defense Spending: Own Attitude" 59 "Defense Spending: Candidates" 60 "Defense Spending: Parties" ///
 61 "Women Equality: Own Attitude" 62 "Women Equality: Candidates" 63 "Women Equality: Parties" ///
 64 "Abortion: Own Atttiude" 65  "Abortion: Candidates" 66 "Abortion: Parties" ///
 67 "Death Penalty: Own Attitude" 68 "Death Penalty: Candidates" 69 "Death Penalty: Parties" ///
 70 "Gay & Lesbian: Own Attitudes" 71 "Gay & Lesbian: Candidates" 72 "Gay & Lesbian: Parties" ///
 73 "Environment: Own Attitude" 74 "Environment: Candidates" 75 "Environment: Parties" ///
 76 "Spending: Own Attitude" 77 "Spending: Candidates" 78 "Spending: Parties" ///
 79 "Internationalism: Own Attitude" 80 "Internationalism: Candidates" 81 "Internationalism: Parties"
	
 
label values top topic_code

collapse (count) topic central, by(top)
list

gen id = _n
label var id "ID"

label var top "Concept"
label var topic "Total"

gen percent = (topic/1163)*100
label var percent "Percent (Out of 1163)"

gen prop_central_use = (central/topic)*100
label var prop_central_use "Centrality Given Use (Central/Total)"

gen prop_central_all = central/1163
label var prop_central_all "Overall Centrality (Central/1163)"


format percent prop_central_use prop_central_all   %9.3g

keep top topic percent prop_central_use prop_central_all

save "Table OA2 - part1.dta", replace


/***********************************************
************************************************
	Data Use Part
************************************************
***********************************************/


clear
cd "C:\Users\au525026\Dropbox\Work\ANES Coding Project\1980-2008"

*cd "C:\Users\Joshua\Dropbox\Work\ANES Coding Project\1980-2008"
do "1980-2008 Initial Cleaning.do"


/***ANES***/
rename Q8_2_x1_1 anes49
rename Q8_2_x2_1 anes50
rename Q8_2_x3_1 anes51
rename Q10_2_x1_1 anes52
rename Q10_2_x2_1 anes53
rename Q10_2_x3_1  anes54
rename Q12_2_x1_1 anes55
rename Q12_2_x2_1 anes56
rename Q12_2_x3_1  anes57
rename Q14_2_x1_1 anes58
rename Q14_2_x2_1 anes59
rename Q14_2_x3_1 anes60
rename Q16_2_x1_1 anes61
rename Q16_2_x2_1 anes62
rename Q16_2_x3_1 anes63
rename Q18_2_x1_1 anes64
rename Q18_2_x2_1 anes65
rename Q18_2_x3_1 anes66
rename Q20_2_x1_1 anes67
rename Q20_2_x2_1 anes68
rename Q20_2_x3_1 anes69
rename Q22_2_x1_1 anes70
rename Q22_2_x2_1 anes71
rename Q22_2_x3_1 anes72
rename Q24_2_x1_1 anes73
rename Q24_2_x2_1 anes74
rename Q24_2_x3_1 anes75
rename Q26_2_x1_1 anes76
rename Q26_2_x2_1 anes77
rename Q26_2_x3_1 anes78
rename Q28_2_x1_1  anes79
rename Q28_2_x2_1 anes80
rename Q28_2_x3_1 anes81
 
/*survey*/
rename Q8_2_x1_2 survey49
rename Q8_2_x2_2 survey50
rename Q8_2_x3_2 survey51
rename Q10_2_x1_2 survey52
rename Q10_2_x2_2 survey53
rename Q10_2_x3_2  survey54
rename Q12_2_x1_2 survey55
rename Q12_2_x2_2 survey56
rename Q12_2_x3_2  survey57
rename Q14_2_x1_2 survey58
rename Q14_2_x2_2 survey59
rename Q14_2_x3_2 survey60
rename Q16_2_x1_2 survey61
rename Q16_2_x2_2 survey62
rename Q16_2_x3_2 survey63
rename Q18_2_x1_2 survey64
rename Q18_2_x2_2 survey65
rename Q18_2_x3_2 survey66
rename Q20_2_x1_2 survey67
rename Q20_2_x2_2 survey68
rename Q20_2_x3_2 survey69
rename Q22_2_x1_2 survey70
rename Q22_2_x2_2 survey71
rename Q22_2_x3_2 survey72
rename Q24_2_x1_2 survey73
rename Q24_2_x2_2 survey74
rename Q24_2_x3_2 survey75
rename Q26_2_x1_2 survey76
rename Q26_2_x2_2 survey77
rename Q26_2_x3_2 survey78
rename Q28_2_x1_2  survey79
rename Q28_2_x2_2 survey80
rename Q28_2_x3_2 survey81

/*experiment*/
rename Q8_2_x1_3 exp49
rename Q8_2_x2_3 exp50
rename Q8_2_x3_3 exp51
rename Q10_2_x1_3 exp52
rename Q10_2_x2_3 exp53
rename Q10_2_x3_3  exp54
rename Q12_2_x1_3 exp55
rename Q12_2_x2_3 exp56
rename Q12_2_x3_3  exp57
rename Q14_2_x1_3 exp58
rename Q14_2_x2_3 exp59
rename Q14_2_x3_3 exp60
rename Q16_2_x1_3 exp61
rename Q16_2_x2_3 exp62
rename Q16_2_x3_3 exp63
rename Q18_2_x1_3 exp64
rename Q18_2_x2_3 exp65
rename Q18_2_x3_3 exp66
rename Q20_2_x1_3 exp67
rename Q20_2_x2_3 exp68
rename Q20_2_x3_3 exp69
rename Q22_2_x1_3 exp70
rename Q22_2_x2_3 exp71
rename Q22_2_x3_3 exp72
rename Q24_2_x1_3 exp73
rename Q24_2_x2_3 exp74
rename Q24_2_x3_3 exp75
rename Q26_2_x1_3 exp76
rename Q26_2_x2_3 exp77
rename Q26_2_x3_3 exp78
rename Q28_2_x1_3  exp79
rename Q28_2_x2_3 exp80
rename Q28_2_x3_3 exp81
 


/*archival*/
rename Q8_2_x1_4 arch49
rename Q8_2_x2_4 arch50
rename Q8_2_x3_4 arch51
rename Q10_2_x1_4 arch52
rename Q10_2_x2_4 arch53
rename Q10_2_x3_4  arch54
rename Q12_2_x1_4 arch55
rename Q12_2_x2_4 arch56
rename Q12_2_x3_4  arch57
rename Q14_2_x1_4 arch58
rename Q14_2_x2_4 arch59
rename Q14_2_x3_4 arch60
rename Q16_2_x1_4 arch61
rename Q16_2_x2_4 arch62
rename Q16_2_x3_4 arch63
rename Q18_2_x1_4 arch64
rename Q18_2_x2_4 arch65
rename Q18_2_x3_4 arch66
rename Q20_2_x1_4 arch67
rename Q20_2_x2_4 arch68
rename Q20_2_x3_4 arch69
rename Q22_2_x1_4 arch70
rename Q22_2_x2_4 arch71
rename Q22_2_x3_4 arch72
rename Q24_2_x1_4 arch73
rename Q24_2_x2_4 arch74
rename Q24_2_x3_4 arch75
rename Q26_2_x1_4 arch76
rename Q26_2_x2_4 arch77
rename Q26_2_x3_4 arch78
rename Q28_2_x1_4  arch79
rename Q28_2_x2_4 arch80
rename Q28_2_x3_4 arch81
 
gen id = _n
reshape long anes survey exp arch, i(id) j(top)
order anes survey exp arch, first

recode anes survey exp arch (0=.)

collapse (count) anes survey exp arch, by(top)

label def topic_code ///
 1 "Difference btw Parties" 2 "Feel About Parties" 3 "PID" ///
 4 "Party Perf.: Economy" 5 "Party Perf: Foreign Affairs" /// 
 6 "Feelings abt President" 7 "Feelings abt Pres Candidates" ///
 8 "Feelings abt Congressional Candidates" 9 "Emotions abt Pres" 10 "Emotions abt Pres Cand" ///
 11 "Likes/Dislikes abt Pres Candidates" 12 "President's Traits" 13 "Presidential Candidate's Traits" ///
 14 "Approval President Job Performance" 15 "Approval President Performance Economy" ///
 16 "Approval President Performance Foreign Policy" 17 "Approval Congress Job Performance" ///
 18 "Approval of Congressional Rep's Job Performance" ///
 19 "Economic Performance" 20 "Personal Economic Situation" 21 "Position of Country in World Affairs" ///
 22 "Political Interest" 23 "Political Knowledge" 24 "Campaign Activity" ///
 25 "Campaing Contact" 26 "Vote Choice" 27 "Turnout in Nat'l  Elections" 28 "Registration" ///
 29 "Lib/Con Values" 30 "Religious Values/Beliefs" ///
 31 "Religious Identity" 32 "Moral Traditionalism" ///
 33 "Equalitarianism" 34 "Trust in Gov't" 35 "Political Efficacy" ///
 36 "TV News Consumption" 37 "Internet News Consumption" 38 "Newspaper Consumption" ///
 39 "Radio News  Consumption" 40 "Feelings abt Social Groups" ///
 41 "Attitudes abt Blacks" 42 "Stereotypes" 43 "Racial Identity" 44 "Ethnic Identity" ///
 45 "Social Class" 46 "Personality" 47 "Problems facing Country" 48 "Att. abt Divided Gov't" ///
 49 "Jobs: Own Attitude" 50 "Jobs: Candidate" 51 "Jobs: Parties" 52 "Aid Blacks: Own Attitude" 53 "Aid Blacks: Candidate" 54 "Aid Blacks: Parties" ///
 55 "Affirmative Action:Own " 56 "Affirmative Action: Candidates" 57 "Affirmative Action: Parties" ///
 58 "Defense Spending: Own Attitude" 59 "Defense Spending: Candidates" 60 "Defense Spending: Parties" ///
 61 "Women Equality: Own Attitude" 62 "Women Equality: Candidates" 63 "Women Equality: Parties" ///
 64 "Abortion: Own Atttiude" 65  "Abortion: Candidates" 66 "Abortion: Parties" ///
 67 "Death Penalty: Own Attitude" 68 "Death Penalty: Candidates" 69 "Death Penalty: Parties" ///
 70 "Gay & Lesbian: Own Attitudes" 71 "Gay & Lesbian: Candidates" 72 "Gay & Lesbian: Parties" ///
 73 "Environment: Own Attitude" 74 "Environment: Candidates" 75 "Environment: Parties" ///
 76 "Spending: Own Attitude" 77 "Spending: Candidates" 78 "Spending: Parties" ///
 79 "Internationalism: Own Attitude" 80 "Internationalism: Candidates" 81 "Internationalism: Parties"
	
 
label values top topic_code

save "Table OA2 - part 2.dta", replace

/***********************************************
************************************************
	 Combining and Exporting
************************************************
***********************************************/


clear
use "Table OA2 - part1.dta"
merge 1:1 top using "Table OA2 - part 2.dta" 


drop _merge
gsort -topic



label var anes "ANES"
label var survey "Other Survey"
label var exp "Experiment"
label var arch "Archival"

replace prop_central_all = prop_central_all*100

export excel using "C:\Users\Joshua\Dropbox\Work\ANES Coding Project\Data and Do Files\Table OA2.xls", firstrow(varlabels) replace

